public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/nbconvert/
Date: Tue,  5 Dec 2023 07:33:57 +0000 (UTC)	[thread overview]
Message-ID: <1701761536.36b79fddc2f1f0740838d18c08cccdf491815e10.arthurzam@gentoo> (raw)

commit:     36b79fddc2f1f0740838d18c08cccdf491815e10
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  5 07:31:41 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Dec  5 07:32:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36b79fdd

dev-python/nbconvert: add 7.12.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/nbconvert/Manifest                |  1 +
 dev-python/nbconvert/nbconvert-7.12.0.ebuild | 82 ++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index bd46da416051..9b6d637661f8 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1 +1,2 @@
 DIST nbconvert-7.11.0.tar.gz 851158 BLAKE2B 0506acda6a645ffba6771f600c63f0c37705481021b716a2b5ec61b49f2b9da490beac7a1fec67718d091d7bfcf82d7f07b68e207573ca5c08271fc502214eb1 SHA512 097e740413520b943afea11e2b797fbb163e1c34b79932597ec1c5a2c64bbb9342e4b3e1f0ab7e4d6dbdaa736d747650d8e0e50da0e4db5398151da8c3b57c59
+DIST nbconvert-7.12.0.tar.gz 851572 BLAKE2B e6f91a29790fc24901bfb527fc4335000af11354090c969d393eb1c95ad9f36c1e65e941a061b20ed884fd4e70316c6cdf1eb7ca115147ecb8a4726f62a98b83 SHA512 ba450938e7a907a6b5679e619b79ea6555f81b6f4ca387c3fab94377ce060d5b99424804052855451ec3f6f8a160355d58c6b875bdd3951a16c5dacae19a2c24

diff --git a/dev-python/nbconvert/nbconvert-7.12.0.ebuild b/dev-python/nbconvert/nbconvert-7.12.0.ebuild
new file mode 100644
index 000000000000..e6d12ff02703
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.12.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+	https://nbconvert.readthedocs.io/
+	https://github.com/jupyter/nbconvert/
+	https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+	dev-python/bleach[${PYTHON_USEDEP}]
+	dev-python/defusedxml[${PYTHON_USEDEP}]
+	>=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+	>=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+	dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+	>=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+	<dev-python/mistune-4[${PYTHON_USEDEP}]
+	>=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+	>=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	>=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+	dev-python/tinycss2[${PYTHON_USEDEP}]
+	>=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/ipykernel[${PYTHON_USEDEP}]
+		>=dev-python/ipywidgets-7[${PYTHON_USEDEP}]
+		dev-python/flaky[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	mkdir -p share/templates/classic/static || die
+	# tries to refetch stuff even if it's already present
+	sed -e 's:css = .*:raise PermissionError("You shall not fetch!"):' \
+		-i hatch_build.py || die
+	distutils-r1_src_prepare
+}
+
+src_test() {
+	virtx distutils-r1_src_test
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# TODO
+		tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+		tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+		# crazy qtweb* stuff, perhaps permissions
+		tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+		tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+	)
+
+	# virtx implies nonfatal, make it explicit to avoid confusion
+	nonfatal epytest || die
+}
+
+pkg_postinst() {
+	if ! has_version virtual/pandoc; then
+		einfo "Pandoc is required for converting to formats other than Python,"
+		einfo "HTML, and Markdown. If you need this functionality, install"
+		einfo "app-text/pandoc or app-text/pandoc-bin."
+	fi
+}


             reply	other threads:[~2023-12-05  7:34 UTC|newest]

Thread overview: 182+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-05  7:33 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-12 10:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/nbconvert/ Michał Górny
2024-05-17  9:49 Michał Górny
2024-05-17  8:27 Arthur Zamarin
2024-04-30  5:02 Michał Górny
2024-04-06 12:37 Michał Górny
2024-04-06 10:02 Arthur Zamarin
2024-03-22  4:38 Michał Górny
2024-03-21 17:51 Arthur Zamarin
2024-03-05  5:18 Michał Górny
2024-02-20  9:09 Michał Górny
2024-02-20  7:55 Sam James
2024-02-19 15:51 Michał Górny
2024-02-08  4:22 Michał Górny
2024-02-06  3:07 Michał Górny
2024-02-03 11:44 Michał Górny
2024-02-03 10:42 Michał Górny
2024-02-03 10:10 Arthur Zamarin
2024-01-18 18:46 Michał Górny
2024-01-18 18:23 Arthur Zamarin
2024-01-16 17:30 Michał Górny
2024-01-11 15:24 Michał Górny
2024-01-06  9:54 Michał Górny
2024-01-06  9:50 Michał Górny
2024-01-02  5:07 Michał Górny
2023-12-22  8:30 Michał Górny
2023-12-20 15:56 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-18 17:07 Michał Górny
2023-11-29 10:30 Michał Górny
2023-11-29 10:26 Michał Górny
2023-11-20 15:02 Michał Górny
2023-11-10  5:47 Viorel Munteanu
2023-11-07 15:19 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:20 Arthur Zamarin
2023-10-30 18:10 Michał Górny
2023-10-24 17:51 Michał Górny
2023-10-05  2:58 Michał Górny
2023-10-04 17:43 Michał Górny
2023-09-17  4:44 Michał Górny
2023-09-16 22:58 Sam James
2023-08-30  3:15 Michał Górny
2023-08-19 18:28 Michał Górny
2023-08-19 18:03 Arthur Zamarin
2023-08-17  8:36 Michał Górny
2023-07-26  6:03 Michał Górny
2023-07-24 12:42 Michał Górny
2023-07-20 10:47 Andrew Ammerlaan
2023-07-19 11:10 Michał Górny
2023-07-18  6:03 Michał Górny
2023-06-20  5:38 Michał Górny
2023-06-12  4:28 Sam James
2023-06-08 22:35 Sam James
2023-05-08 19:31 Arthur Zamarin
2023-05-03  5:20 Michał Górny
2023-05-02 20:11 Sam James
2023-04-28 15:25 Arthur Zamarin
2023-04-14 19:43 Sam James
2023-04-11  3:14 Michał Górny
2023-04-06  4:02 WANG Xuerui
2023-04-04  4:48 Michał Górny
2023-03-31 20:59 Sam James
2023-03-31 17:23 Arthur Zamarin
2023-03-31 17:23 Arthur Zamarin
2023-03-24  5:12 Sam James
2023-03-15 20:54 Arthur Zamarin
2023-03-14 19:49 Sam James
2023-03-14 17:23 Michał Górny
2023-02-13  6:07 Michał Górny
2023-02-12 20:24 Jakov Smolić
2023-01-24 18:14 Michał Górny
2023-01-17  5:08 Michał Górny
2023-01-05 14:21 Michał Górny
2022-12-20 20:03 Andrew Ammerlaan
2022-11-06  7:59 Michał Górny
2022-11-06  7:25 Sam James
2022-10-27  9:48 Andrew Ammerlaan
2022-10-07 13:07 Michał Górny
2022-10-07 12:16 Arthur Zamarin
2022-10-07 12:16 Arthur Zamarin
2022-10-05  9:41 Michał Górny
2022-09-25 18:15 Arthur Zamarin
2022-09-25  1:27 Sam James
2022-09-16 18:50 Arthur Zamarin
2022-09-16 18:07 Arthur Zamarin
2022-09-14 22:10 Sam James
2022-09-14  7:48 Agostino Sarubbo
2022-09-12 19:13 Arthur Zamarin
2022-09-12  9:55 Sam James
2022-09-12  4:36 Jakov Smolić
2022-09-07  7:51 Michał Górny
2022-09-04  8:05 Michał Górny
2022-08-27  8:40 Agostino Sarubbo
2022-08-26 23:29 Sam James
2022-08-26 23:27 Sam James
2022-08-26 19:12 Arthur Zamarin
2022-08-26 19:12 Arthur Zamarin
2022-08-26 19:11 Arthur Zamarin
2022-08-12 11:23 Arthur Zamarin
2022-08-11  9:59 Michał Górny
2022-08-01 14:18 Jakov Smolić
2022-08-01 14:17 Jakov Smolić
2022-07-27  5:22 Sam James
2022-07-20 22:04 Sam James
2022-07-05 19:28 Arthur Zamarin
2022-07-05  2:30 Sam James
2022-06-12 14:54 Michał Górny
2022-06-12 14:52 Sam James
2022-05-27  6:10 Michał Górny
2022-05-27  6:10 Michał Górny
2022-04-16  8:10 Arthur Zamarin
2022-04-16  5:08 Arthur Zamarin
2022-04-15 17:19 Arthur Zamarin
2022-04-15 15:26 Arthur Zamarin
2022-04-11 16:07 Michał Górny
2022-03-31 21:14 Arthur Zamarin
2022-03-29  8:33 Michał Górny
2022-03-18  9:54 Arthur Zamarin
2022-03-14 17:04 Michał Górny
2022-03-05  8:16 Michał Górny
2022-03-05  0:05 Sam James
2022-02-27  9:35 Michał Górny
2022-02-10  7:58 Michał Górny
2022-01-22 23:16 Sam James
2022-01-04 20:44 Arthur Zamarin
2021-12-02  8:12 Michał Górny
2021-12-02  1:01 Sam James
2021-11-26 15:33 Arthur Zamarin
2021-11-26  1:06 Sam James
2021-11-18  8:10 Sam James
2021-11-18  5:36 Sam James
2021-11-14 20:35 Sam James
2021-11-14  3:43 Sam James
2021-11-12 20:03 Michał Górny
2021-10-16  9:46 Sam James
2021-09-25  7:45 Michał Górny
2021-09-06  0:18 Sam James
2021-07-12  6:41 Sam James
2021-07-11 10:14 Georgy Yakovlev
2021-07-01 17:53 Michał Górny
2021-07-01 17:53 Michał Górny
2021-06-20  1:45 Sam James
2020-11-04  7:34 Michał Górny
2020-11-04  1:02 Sam James
2020-10-25 21:48 Sam James
2020-10-25 21:34 Thomas Deutschmann
2020-10-03 21:21 Michał Górny
2020-09-23 17:24 Michał Górny
2020-09-22  7:21 Michał Górny
2020-09-20 20:33 Michał Górny
2020-09-18 23:56 Sam James
2020-09-18 15:30 Michał Górny
2020-09-17  8:34 Michał Górny
2020-09-13  7:31 Michał Górny
2020-09-11  7:17 Michał Górny
2020-09-05 15:25 Sam James
2020-09-05  7:24 Michał Górny
2020-09-02  9:12 Michał Górny
2020-07-31  0:50 Sam James
2020-07-07 20:01 Michał Górny
2020-06-10  8:11 Michał Górny
2020-06-10  7:01 Michał Górny
2020-06-10  6:42 Michał Górny
2020-06-10  6:42 Michał Górny
2020-06-10  5:51 Michał Górny
2020-06-09 15:14 Michał Górny
2020-06-09  8:19 Michał Górny
2020-06-09  8:19 Michał Górny
2019-05-09 15:30 Virgil Dupras
2019-05-04 22:58 Virgil Dupras
2018-05-16 12:28 Agostino Sarubbo
2018-04-22  1:35 Thomas Deutschmann
2017-08-19 22:39 Sebastien Fabbro
2017-06-23 19:26 Alexis Ballier
2017-03-12 12:31 Zac Medico
2017-01-04 10:15 David Seifert
2016-10-31  8:27 David Seifert
2016-05-29 14:54 David Seifert
2016-05-22 17:21 Justin Lecher
2015-11-28 17:33 Justin Lecher
2015-11-28 17:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1701761536.36b79fddc2f1f0740838d18c08cccdf491815e10.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox